#include "BaseFilterWidget.h"
#include "Components/SlateWrapperTypes.h"
#include "Input/Events.h"

void UBaseFilterWidget::OnWidgetVisibilityChanged(ESlateVisibility newVisibility)
{

}

void UBaseFilterWidget::OnPlayerClick(const FPointerEvent& pointerEvent)
{

}

void UBaseFilterWidget::OnCheckBoxToggled()
{

}

UBaseFilterWidget::UBaseFilterWidget()
{
	this->_defaultFilterAvailable = false;
	this->_defaultFilterOwned = false;
	this->_sortingOptions = 0;
	this->_defaultSortingOption = ESortingOption::None;
	this->_defaultSortingOrder = ESortingOrder::Descending;
	this->_isShowing = false;
}
